## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate monitord

Name:           rust-monitord
Version:        0.8.4
Release:        %autorelease
Summary:        Know how happy your systemd is

License:        GPL-2.0-or-later
URL:            https://crates.io/crates/monitord
Source:         %{crates_source}
# * Switch license file from LGPL 2.1 to GPL 2
Patch2:        https://github.com/cooperlees/monitord/commit/8ced4d5c5fe507cd583e6518d88ae6e2b5a45cec.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
monitord is a library and daemon to gather statistics about systemd.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# GPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR LGPL-3.0-or-later
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
License:        (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND GPL-2.0-or-later AND MIT AND (MIT OR Apache-2.0) AND (MIT OR LGPL-3.0-or-later) AND (MIT OR Zlib OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/monitord
%config(noreplace) %{_sysconfdir}/monitord.conf

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
rm -r docs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_sysconfdir} monitord.conf

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jul 23 2024 Davide Cavalca <dcavalca@fedoraproject.org> 0.8.4-1
- Update to 0.8.4

* Wed Jul 17 2024 Davide Cavalca <dcavalca@fedoraproject.org> 0.8.3-1
- Initial import; Fixes: RHBZ#2290480
